import { FlowOptions, UseVueFlow } from "../types";
export declare class Storage {
    currentId: number;
    flows: Map<string, UseVueFlow<any, any>>;
    static instance: Storage;
    static getInstance(): Storage;
    set(id: string, flow: UseVueFlow): void;
    get(id: string): UseVueFlow<any, any> | undefined;
    remove(id: string): void;
    create(id: string, options?: Partial<FlowOptions>): UseVueFlow<any, any>;
    getId(): string;
}
declare const _default: <N = any, E = N>(options?: Partial<FlowOptions<N, E>> | undefined) => UseVueFlow<N, E>;
export default _default;
